Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.j3d.utils.behaviors.sensor
Class SensorInputAdaptor

    java.lang.Object
      com.sun.j3d.utils.behaviors.sensor.SensorInputAdaptor

All Implemented Interfaces:
  SensorButtonListener, SensorReadListener

Direct Known Subclasses:
  WandViewBehavior.ListenerBase, WandViewBehavior.ResetViewListener

    public class SensorInputAdaptor

extends java.lang.Object
implements SensorButtonListener, SensorReadListener

The adaptor which receives sensor button and read events. The methods in this class are empty; the ones of interest should be overridden by classes extending this adaptor.

Since:
  Java 3D 1.3

Constructor Summary
`SensorInputAdaptor()`

Method Summary
`void` | `clicked(SensorEvent e)` This method is currently not used by `SensorEventAgent`, but is included here for future possible development.
`void` | `dragged(SensorEvent e)` This method is called with each invocation of the `dispatchEvents` method of `SensorEventAgent` if any button bound to the listener is down and has not changed state since the last invocation.
`void` | `pressed(SensorEvent e)` This method is called when a sensor's button is pressed.
`void` | `read(SensorEvent e)` This method is called each time the `dispatchEvents` method of `SensorEventAgent` is called and none of a sensor's buttons have been handled by a button listener.
`void` | `released(SensorEvent e)` This method is called when a sensor's button is released.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SensorInputAdaptor

    public SensorInputAdaptor()

Method Detail

### pressed

    public void pressed(SensorEvent e)

  Description copied from interface: `SensorButtonListener`
  This method is called when a sensor's button is pressed.

  Specified by:
    `pressed` in interface `SensorButtonListener`
  Parameters:
    `e` - the sensor event

### released

    public void released(SensorEvent e)

  Description copied from interface: `SensorButtonListener`
  This method is called when a sensor's button is released.

  Specified by:
    `released` in interface `SensorButtonListener`
  Parameters:
    `e` - the sensor event

### dragged

    public void dragged(SensorEvent e)

  Description copied from interface: `SensorButtonListener`
  This method is called with each invocation of the `dispatchEvents` method of `SensorEventAgent` if any button bound to the listener is down and has not changed state since the last invocation. The sensor value has not necessarily changed from the last drag event.

  Specified by:
    `dragged` in interface `SensorButtonListener`
  Parameters:
    `e` - the sensor event

### clicked

    public void clicked(SensorEvent e)

  Description copied from interface: `SensorButtonListener`
  This method is currently not used by `SensorEventAgent`, but is included here for future possible development. Its implementations should remain empty for the present.

  Specified by:
    `clicked` in interface `SensorButtonListener`

### read

    public void read(SensorEvent e)

  Description copied from interface: `SensorReadListener`
  This method is called each time the `dispatchEvents` method of `SensorEventAgent` is called and none of a sensor's buttons have been handled by a button listener. The sensor read value has not necessarily changed since the last read event.

  Specified by:
    `read` in interface `SensorReadListener`
  Parameters:
    `e` - the sensor event

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD